input_free_device
Prev | Chapter 28. Input Subsystem | Next

## Name

input_free_device — free memory occupied by input_dev structure

## Synopsis

`void input_free_device (` | struct input_dev * | dev`)`;

## Arguments

`dev`

  input device to free

## Description

This function should only be used if `input_register_device` was not called yet or if it failed. Once device was registered use `input_unregister_device` and memory will be freed once last reference to the device is dropped.

Device should be allocated by `input_allocate_device`.

## NOTE

If there are references to the input device then memory will not be freed until last reference is dropped.

Prev | Up | Next
input_allocate_device | Home | input_set_capability